Bug 167988 - Hard drive light on continuously on Intel ICH7 SATA controller
Hard drive light on continuously on Intel ICH7 SATA controller
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
http://forums.fedoraforum.org/showthr...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-10 00:34 EDT by Tom Richardson
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-11 01:18:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Richardson 2005-09-10 00:34:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.10) Gecko/20050719 Fedora/1.7.10-1.5.1

Description of problem:
After loading the kernel, the hard drive light stays on continuously. I'm running four hard drives: 1 for OS + 3 in software RAID5 (Linux md) for /home. Motherboard is a brand new Intel 955XBK with an on-board 82801GR/GH ICH SATA controller. The controller is running in AHCI mode. CPU is a Pentium D 830. dmesg does not appear to produce anything out of the ordinary. Here is the output of lspci:

00:00.0 Host bridge: Intel Corporation 955X Memory Controller Hub
00:01.0 PCI bridge: Intel Corporation 955X PCI Express Graphics Port
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 01)
00:1c.4 PCI bridge: Intel Corporation 82801GR/GH/GHM (ICH7 Family) PCI Express Port 5 (rev 01)
00:1c.5 PCI bridge: Intel Corporation 82801GR/GH/GHM (ICH7 Family) PCI Express Port 6 (rev 01)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #3 (rev 01)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #4 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev e1)
00:1f.0 ISA bridge: Intel Corporation 82801GB/GR (ICH7 Family) LPC Interface Bridge (rev 01)
00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller (rev 01)
00:1f.2 Class 0106: Intel Corporation 82801GR/GH (ICH7 Family) Serial ATA Storage Controllers cc=AHCI (rev 01)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 01)
01:00.0 VGA compatible controller: nVidia Corporation NV43 [GeForce 6600] (rev a2)
04:00.0 Ethernet controller: Intel Corporation: Unknown device 108b (rev 03)
05:00.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 08)
05:00.1 Generic system peripheral [0008]: Creative Labs SB Live! MIDI/Game Port (rev 08)
05:01.0 Network controller: Intersil Corporation Prism 2.5 Wavelan chipset (rev 01)
05:02.0 Ethernet controller: Linksys NC100 Network Everywhere Fast Ethernet 10/100 (rev 11)
05:04.0 FireWire (IEEE 1394): Texas Instruments TSB82AA2 IEEE-1394b Link Layer Controller (rev 01)
05:05.0 RAID bus controller: Silicon Image, Inc. SiI 3114 [SATALink/SATARaid] Serial ATA Controller (rev 02)


Version-Release number of selected component (if applicable):
2.6.12-1.1447_FC4smp

How reproducible:
Always

Steps to Reproduce:
1. Turn on machine, notice proper function of hard drive light.
2. Boot Linux kernel, notice that hard drive light stays on continuously.
3. Become annoyed with constant bright light in your workspace.
  

Actual Results:  Hard drive light is always on.

Expected Results:  Hard drive light should only be on during access.

Additional info:
Comment 1 Dave Jones 2005-09-30 03:13:09 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 2 Tom Richardson 2005-09-30 07:08:16 EDT
The problem continues with the latest kernel update (2.6.13-1.1526_FC4smp).
Comment 3 zxb 2005-10-16 13:09:02 EDT
I have the same problem when I using Debian. My kernel is 2.6.13.4.
If any of us found the solution, please post it here.
Comment 4 Tom Richardson 2005-10-24 00:01:22 EDT
Issue continues with latest kernel: 2.6.13-1.1532_FC4smp
Comment 5 Dave Jones 2005-11-10 15:21:08 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 6 Tom Richardson 2005-11-10 22:39:45 EST
The latest kernel update for FC4 (2.6.14-1.1637_FC4) fixes the issue.

Note You need to log in before you can comment on or make changes to this bug.